/*
 *
 *  ALL03
 *
 *  26.07.2002
 *
 *  by Fabio Sturman
 *
 *  fabio.sturman@tiscali.it
 *
 *  keys.h
 *
 *  keys.c include file
 *
 *
 *
 *
 *
 */

#ifndef KEYS_INCLUDE
#define KEYS_INCLUDE

#define K_LA     0x014b
#define K_RA     0x014d
#define K_HOME   0x0147
#define K_END    0x014f
#define K_BS     0x0008
#define K_DELETE 0x0153
#define K_CR     0x000d
#define K_ENTER  0x000d

#define K_ESC    0x001b


#define K_ALL        0x0001
#define K_ALPHA      0x0002
#define K_NUM        0x0004
#define K_ALPHA_NUM  0x0008
#define K_HEX        0x0010
#define K_NO_DEL_BS  0x0020


void set_xy_pos(int x, int y);
int inputstr(int x1, int y1, char *title, char *st, int ml, int mw);
int key_get(void);
void wait_esc(void);
void wait_enter(void);        
void clear_screen(void);        

#endif
